Version ("WWW.PALTUSOV.RU")

'**********************************************************************************************************************
'
'	Company : WWW.PALTUSOV.RU
'
'**********************************************************************************************************************

	IntConn        = 0
StartP:
	BACK_LIGHT_DURATION(60)
	BACKLIT (3)
	'set_com_type (2, 5)					' set communication type : RF
	'open_com (2)
	'on com (2) gosub RF_IN				' Event trigger : data come in via RF
	
	enable reader(1)
	on reader (1) gosub BCR_IN				' Event trigger : barcode input
	
	select_font (2)
	
	cls
	CURSOR(0)	
	locate 3,1
	PRINT "CipherLab 8300" 
	select_font (1)
	locate 5,3
	PRINT "WWW.PALTUSOV.RU" 	
	WAIT(200*4)    

	START TCPIP

	StrServerIP$ = "192.168.0.42"
	TCP_OPEN (IntConn, StrServerIP$, 1024, 0)

	select_font (2)
	gosub Clear_Item

loop:
	
	k$ = inkey$
	
	if asc (k$) = 27 then						' Esc
		gosub Clear_Item
	end if

	if SOCKET_HAS_DATA (IntConn)=0  THEN
		gosub RF_IN
	END IF
	
	goto loop

'--------------------------------------------------------------------------------------------------------------------------------------------------------------
RF_IN:								' Subroutine for RF input
	RFD$=NREAD (IntConn)
	length%=len(RFD$)
	A$=left$(RFD$,1)
	BACKLIT (3)

	if A$="D" then						' Description
		beep(4400,5)
		i=instr(RFD$,",")
		name$=mid$(RFD$,2,i-2)
		select_font (1)	
		locate 4,8
		print mid$(name$,1,13)
		locate 5,8
		print mid$(name$,14,26)
		select_font (2)	

		locate 7,6
		print mid$(RFD$,i+1)
		locate 7,6
		disable reader(1)				' Disable the scanner	
		
		input Q$					' Input the Qty 

		temp$="Q"+Item$+","+Q$	
		NWRITE  (IntConn,temp$)

		enable reader(1)				' Enable the scanner

	else if  A$="P" then						' Description
		beep(4400,5)
		i=instr(RFD$,",")
		name$=mid$(RFD$,2,i-2)
		select_font (1)	
		locate 4,8
		print mid$(name$,1,13)
		locate 5,8
		print mid$(name$,14,26)
		select_font (2)	

		locate 7,6
		print mid$(RFD$,i+1)
		locate 7,6
		disable reader(1)				' Disable the scanner	
		

		temp$="Q"+Item$+","	
		NWRITE  (IntConn,temp$)

		enable reader(1)				' Enable the scanner
	else if A$="N" then					' Data not found
		locate 5,6
		print "**********"
		locate 7,6
		print "          "

	else if A$="U" then					' Update OK
		beep(4400,5,0,1,4400,5)
		gosub Clear_Item
	else if A$="V" then					' Update OK
		beep(4400,5,0,1,4400,5)
	end if

	return

'--------------------------------------------------------------------------------------------------------------------------------------------------------------
BCR_IN:							' Subroutine for scanner input
	
	Item$=get_reader_data$(1)
	LOCK
	BACKLIT (3)

	beep(4400,5)
	cls
	locate 3,1
	print ":" 						' Item

	select_font (1)	
	locate 2,8
	print Item$
	select_font (2)
	locate 5,1
	print ":"						' Desc:
	locate 7,1
	print ".:"						' Qty :
	temp$="I"+Item$
	NWRITE  (IntConn,temp$)

	UNLOCK
	return

'--------------------------------------------------------------------------------------------------------------------------------------------------------------
Clear_Item:							' Subroutine for clearing data
	BACKLIT (3)
	cls
	locate 3,1
	print ":" 						' Item
	locate 5,1
	print ":"						' Desc:
	locate 7,1
	print ".:"						' Qty :	
	return

